Bug 515920 - Errors installing parted-1.8.8-17.fc11.i586 with --excludedocs
Errors installing parted-1.8.8-17.fc11.i586 with --excludedocs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516757
  Show dependency treegraph
 
Reported: 2009-08-06 07:19 EDT by Alexander Todorov
Modified: 2009-09-17 06:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 06:07:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2009-08-06 07:19:37 EDT
Description of problem:
When installing with --excludedocs there are errors caused by missing files.

Version:
parted-1.8.8-17.fc11.i586

How reproducible:
Always

Steps to reproduce:
1) rpm -ihv --excludedocs parted-1.8.8-17.fc11.i586  

or:
- use %packages --excludedocs in kickstart
- enable %_excludedocs macro in RPM

Expected results:
Package is installed without errors

Actual results:
Error(s): Installing parted-1.8.8-17.fc11.i586
install-info: No such file or directory for /usr/share/info/parted.info.gz

Additional info:
This bug is automatically filed with python-bugzilla and component assignment may be incorrect.
Comment 1 Joel Andres Granados 2009-08-11 12:40:34 EDT
pls test last parted version: parted-1.9.0-9.
Comment 2 Alexander Todorov 2009-08-12 03:33:45 EDT
Joel,
scriptlets for last parted version look the same as in previous version. Is this the correct version number?

# rpm -qp --scripts parted-1.9.0-9.fc12.i686.rpm 
postinstall scriptlet (using /bin/sh):
/sbin/ldconfig
/sbin/install-info /usr/share/info/parted.info.gz /usr/share/info/dir || :
preuninstall scriptlet (using /bin/sh):
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/share/info/parted.info.gz /usr/share/info/dir >/dev/null 2>&1 || :
fi
postuninstall program: /sbin/ldconfig

--- old version ---

# rpm -q parted
parted-1.8.8-17.fc11.i586

# rpm -q --scripts parted
postinstall scriptlet (using /bin/sh):
/sbin/ldconfig
/sbin/install-info /usr/share/info/parted.info.gz /usr/share/info/dir || :
preuninstall scriptlet (using /bin/sh):
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/share/info/parted.info.gz /usr/share/info/dir >/dev/null 2>&1 || :
fi
postuninstall program: /sbin/ldconfig
Comment 3 Joel Andres Granados 2009-08-12 05:22:31 EDT
Alex:
Thx for testing.  You are correct, the new package has the same info.  I'll look into it and get back to the bug once I have something.
Comment 4 Joel Andres Granados 2009-08-12 07:00:45 EDT
Alex:
I have seen this issue in lots of packages in fedora.  automake, m4 and libtool.
Comment 5 Joel Andres Granados 2009-08-12 07:09:06 EDT
Should be fixed in parted-1.9.0-10.

Note You need to log in before you can comment on or make changes to this bug.